GET /email/hard_bounces
Operation ID: queryHardBouncedEmails
Auth: unknown
Description
This endpoint allows you to pull a list of email addresses that have “hard bounced” your email messages within a certain time frame. > You must provide an `end_date`, as well as either an `email` or a `start_date`.<br><br>If your date range has more than `limit` number of hard bounces, you will need to make multiple API calls, each time increasing the `offset` until a call returns either fewer than `limit` or zero results. ## Response Entries are listed in descending order. ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "emails": [ { "email": "example1@braze.com", "hard_bounced_at": "2016-08-25 15:24:32 +0000" }, { "email": "example2@braze.com", "hard_bounced_at": "2016-08-24 17:41:58 +0000" }, { "email": "example3@braze.com", "hard_bounced_at": "2016-08-24 12:01:13 +0000" } ], "message": "success" } ```
Parameters (5)
(string, query, optional)
(Optional*) String If provided, we will return whether or not the user has hard bounced. *You must provide either an `email` or a `start_date`, and an `end_date`.
(string, query, optional)
(Optional*) String in YYYY-MM-DD format String in YYYY-MM-DD format. End date of the range to retrieve hard bounces. This is treated as midnight in UTC time by the API. *You must provide either an `email` or a `start_date`, and an `end_date`.
(string, query, optional)
(Optional) Integer Optional field to limit the number of results returned. Defaults to 100, maximum is 500.
(string, query, optional)
(Optional) Integer Optional beginning point in the list to retrieve from.
(string, query, optional)
(Optional*) String in YYYY-MM-DD format Start date of the range to retrieve hard bounces, must be earlier than `end_date`. This is treated as midnight in UTC time by the API. *You must provide either an `email` or a `start_date`, and an `end_date`.
No probe data for this endpoint yet.